Bug 45063 - samba-tool user has doesn't allow UPN to be created due to spelling error
samba-tool user has doesn't allow UPN to be created due to spelling error
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.2
All Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 02:00 CEST by Kevin Dominik Korte
Modified: 2017-09-20 15:04 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.091
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number: 2017050821000709
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (622 bytes, patch)
2017-07-25 13:54 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Dominik Korte univentionstaff 2017-07-25 02:00:44 CEST
Line 290 of /usr/lib/python2.7/dist-packages/samba/netcmd/user.py reads

"if upn is not None and no-upn:"

however, no-upn is not defined. The correct variable is no_upn

Thus creating service principles using Samba-tool is not possible.
Comment 1 Florian Best univentionstaff 2017-07-25 13:54:35 CEST
Created attachment 9052 [details]
patch
Comment 2 Felix Botner univentionstaff 2017-09-11 12:33:16 CEST
fixed 97_bug29665.quilt
cherry picked samba from errata4.2-1 to errata4.2-2

samba.yaml 2:4.6.1-1A~4.2.0.201709111211 errata4.2-2
Comment 3 Felix Botner univentionstaff 2017-09-13 14:06:17 CEST
fix yaml for errata4.2-1
Comment 4 Felix Botner univentionstaff 2017-09-13 14:11:32 CEST
(In reply to Felix Botner from comment #3)
> fix yaml for errata4.2-1

done
Comment 5 Stefan Gohmann univentionstaff 2017-09-19 20:21:09 CEST
Code: OK, looks good:

root@master421:~# samba-tool user create test01 Univention.99 --upn FOO@BAR --no-upn
ERROR: Can't use Options --upn and --no-upn at the same time
root@master421:~# samba-tool user create test01 Univention.99 --no-upn
User 'test01' created successfully
root@master421:~# samba-tool user create test02 Univention.99 --upn FOO02@BAR
User 'test02' created successfully
root@master421:~# 

YAML: OK, minor spelling update: https://git.knut.univention.de/univention/ucs/commit/0b9bcb0caa41924961e86b5b67165583613da25c
Comment 6 Erik Damrose univentionstaff 2017-09-20 15:04:03 CEST
<http://errata.software-univention.de/ucs/4.2/165.html>